Subject: Re: bug#55721: Low cache usage in the presence of grafts

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 May 2022 15:15:07 +0200

Hi,

Efraim Flashner <[email-masked]> skribis:

> With that change you've dropped the query-references from 24691 to 2416,
> more than a 90% drop. If you want to take aim at improving it further
> I'd say take a look at add-text-to-store and see if you can shrink that
> number.

That’s not related to grafts though: these ‘add-text-to-store’ RPCs
correspond to adding the *-guile-builder files to the store, roughly one
per package.

This could be improved, for instance by having a single *-guile-builder
script for all of ‘gnu-build-system’; that requires a bit of work.

Ludo’.